package com.yaohun.enderdragonwars.liveevent;

import com.io.yutian.mclive.event.LiveLikeEvents;
import com.yaohun.enderdragonwars.Main;
import com.yaohun.enderdragonwars.manager.GameManager;
import com.yaohun.enderdragonwars.manager.GiftEffectManager;
import com.yaohun.enderdragonwars.util.RandomUtil;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

public class LikeListener implements Listener {

    @EventHandler
    public void onDianZan(LiveLikeEvents e) {
        Player zhubo = e.getPlayer();
        String userName = "" + RandomUtil.getRandomInt(999, 10000);
        if (e.getUser().nickName() != null) {
            userName = e.getUser().nickName();
        }
        long add_amount = e.getCount();
        GameManager gameManager = Main.gameManager;
        gameManager.addDianzan_amount((int) add_amount);
        if (gameManager.getDianzan_amount() >= gameManager.getDianzan_need()) {
            String eventName_Show = gameManager.getDianzan_event();
            String title = "§c" + eventName_Show;
            String subtitle = "§9双击屏幕x" + gameManager.getDianzan_need();
            zhubo.sendTitle(title, subtitle, 10, 30, 10);
            GiftEffectManager.addGiftEffect(userName, eventName_Show);
            gameManager.setDianzan_amount(0);
        }
    }

}
